package cn.freemud.entities.dto.promotion;

import com.freemud.application.sdk.api.promotioncenter.domain.ActivitySendGoodsVO;

import java.util.List;

public class CalculationSendGoodsVO {
    //private Long activityId;
    private String activityCode;
    private String activityName;
    private Integer maxNum;
    private Integer minNum;
    private Integer activityType;
    private Integer sendKinds;
    private List<ActivitySendGoodsVO> sendGoods;
    private Integer thresholdAmount;

    public Integer getThresholdAmount() {
        return thresholdAmount;
    }

    public void setThresholdAmount(Integer thresholdAmount) {
        this.thresholdAmount = thresholdAmount;
    }

    public Integer getActivityType() {
        return activityType;
    }

    public void setActivityType(Integer activityType) {
        this.activityType = activityType;
    }

    public Integer getSendKinds() {
        return sendKinds;
    }

    public void setSendKinds(Integer sendKinds) {
        this.sendKinds = sendKinds;
    }

    /*public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }*/

    public String getActivityCode() {
        return activityCode;
    }

    public void setActivityCode(String activityCode) {
        this.activityCode = activityCode;
    }

    public String getActivityName() {
        return activityName;
    }

    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }

    public Integer getMaxNum() {
        return maxNum;
    }

    public void setMaxNum(Integer maxNum) {
        this.maxNum = maxNum;
    }

    public Integer getMinNum() {
        return minNum;
    }

    public void setMinNum(Integer minNum) {
        this.minNum = minNum;
    }

    public List<ActivitySendGoodsVO> getSendGoods() {
        return sendGoods;
    }

    public void setSendGoods(List<ActivitySendGoodsVO> sendGoods) {
        this.sendGoods = sendGoods;
    }
}
